List WhatsApp messages
curl --request GET \
--url https://api.notifique.dev/v1/whatsapp/messages \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.notifique.dev/v1/whatsapp/messages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.notifique.dev/v1/whatsapp/messages"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.notifique.dev/v1/whatsapp/messages"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"success": true,
"data": [
{
"messageId": "clxx123...",
"to": "5511999999999",
"type": "TEXT",
"status": "SENT",
"sentAt": "2025-02-20T12:00:00.000Z",
"deliveredAt": "2025-02-20T12:00:05.000Z",
"createdAt": "2025-02-20T11:59:58.000Z"
}
],
"pagination": {
"total": 42,
"page": 1,
"limit": 20,
"totalPages": 3
}
}{
"success": false,
"error": "Bad Request",
"code": "VALIDATION_ERROR",
"message": "Campo inválido ou ausente."
}{
"success": false,
"error": "Bad Request",
"code": "VALIDATION_ERROR",
"message": "Campo inválido ou ausente."
}{
"success": false,
"error": "Bad Request",
"code": "VALIDATION_ERROR",
"message": "Campo inválido ou ausente."
}Mensagens
List WhatsApp messages
Shows WhatsApp messages you sent. Filter by date, status, or type.
GET
/
v1
/
whatsapp
/
messages
List WhatsApp messages
curl --request GET \
--url https://api.notifique.dev/v1/whatsapp/messages \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.notifique.dev/v1/whatsapp/messages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.notifique.dev/v1/whatsapp/messages"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.notifique.dev/v1/whatsapp/messages"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"success": true,
"data": [
{
"messageId": "clxx123...",
"to": "5511999999999",
"type": "TEXT",
"status": "SENT",
"sentAt": "2025-02-20T12:00:00.000Z",
"deliveredAt": "2025-02-20T12:00:05.000Z",
"createdAt": "2025-02-20T11:59:58.000Z"
}
],
"pagination": {
"total": 42,
"page": 1,
"limit": 20,
"totalPages": 3
}
}{
"success": false,
"error": "Bad Request",
"code": "VALIDATION_ERROR",
"message": "Campo inválido ou ausente."
}{
"success": false,
"error": "Bad Request",
"code": "VALIDATION_ERROR",
"message": "Campo inválido ou ausente."
}{
"success": false,
"error": "Bad Request",
"code": "VALIDATION_ERROR",
"message": "Campo inválido ou ausente."
}Authorizations
ntfWaBearerAuthntfWaApiKeyHeader
API Key no header Authorization. Exemplo: Authorization: Bearer sk_live_xxxxx
Query Parameters
IDs separados por vírgula
Available options:
QUEUED, PROCESSING, SENT, DELIVERED, READ, FAILED, CANCELLED, SCHEDULED, DELETED, RESPONDED, EDITED Filtra por tipo de message no histórico. TEMPLATE é tipo armazenado para modelos específicos; demais tipos refletem o que foi enviado pela API.
Available options:
TEXT, IMAGE, DOCUMENT, AUDIO, VIDEO, BUTTONS, LIST, TEMPLATE, LOCATION, CONTACT true/1/yes para incluir eventos
Was this page helpful?

